package com.steering.pss.ydm.pipemanage;

import java.util.ArrayList;

import CoreFS.SA06.CoreReturnObject;
import CoreFS.SA08.CoreXmlSqlParsersFactory;
import CoreFS.SC01.CoreConstantData;

import com.steering.comm.db.DBCommon;

/**
 * @author TJG 2015-7-21
 */
public class FrmVarietie extends DBCommon {

    /**
     * 查询品名对应关系是否存在
     * @return 平台统一返回对象
     */
    public CoreReturnObject getQueryKind() {
        return this.getDataBySqlID("FrmVarietie.getQueryKind");
    }

    /**
     * 查询规格对应关系是否存在
     * @return 平台统一返回对象
     */
    public CoreReturnObject getQuerySpec() {
        return this.getDataBySqlID("FrmVarietie.getQuerySpec");
    }

    /**
     * 查询钢级对应关系是否存在
     * @return 平台统一返回对象
     */
    public CoreReturnObject getQuerySteel() {
        return this.getDataBySqlID("FrmVarietie.getQuerySteel");
    }

    /**
     * 查询扣型对应关系是否存在
     * @return 平台统一返回对象
     */
    public CoreReturnObject getQueryModel() {
        return this.getDataBySqlID("FrmVarietie.getQueryModel");
    }

    /***
     * 查询产线对应关系是否存在
     * @return
     */
    public CoreReturnObject getQueryFactory()
    {
    	return this.getDataBySqlID("FrmVarietie.getQueryFactory");
    }
    
    /***
     * 查询钢种对应关系是否存在
     * @return
     */
    public CoreReturnObject getQueryGrade()
    {
    	return this.getDataBySqlID("FrmVarietie.getQueryGrade");
    }
    /**
     * 查询品名对应关系是否存在
     * @return 平台统一返回对象
     */
    public CoreReturnObject getQueryKind1(ArrayList<String> pram) {
        return this.getDataBySqlID("FrmVarietie.getQueryKind1", pram.toArray());
    }

    /**
     * 查询规格对应关系是否存在
     * @return 平台统一返回对象
     */
    public CoreReturnObject getQuerySpec1(ArrayList<String> pram) {
        return this.getDataBySqlID("FrmVarietie.getQuerySpec1", pram.toArray());
    }

    /**
     * 查询钢级对应关系是否存在
     * @return 平台统一返回对象
     */
    public CoreReturnObject getQuerySteel1(ArrayList<String> pram) {
        return this.getDataBySqlID("FrmVarietie.getQuerySteel1", pram.toArray());
    }

    /**
     * 查询扣型对应关系是否存在
     * @return 平台统一返回对象
     */
    public CoreReturnObject getQueryModel1(ArrayList<String> pram) {
        return this.getDataBySqlID("FrmVarietie.getQueryModel1", pram.toArray());
    }
    /**
     * 查询产线对应关系是否存在
     * @return 平台统一返回对象
     */
    public CoreReturnObject getQueryFactory1(ArrayList<String> pram) {
        return this.getDataBySqlID("FrmVarietie.getQueryFactory1", pram.toArray());
    }
    
    /**
     * 查询钢种对应关系是否存在
     * @return 平台统一返回对象
     */
    public CoreReturnObject getQueryGrade1(ArrayList<String> pram) {
        return this.getDataBySqlID("FrmVarietie.getQueryGrade1", pram.toArray());
    }
    /**
     * 查询产销品名
     * @return 平台统一返回对象
     */
    public CoreReturnObject getKind() {
        return this.getDataBySqlID("FrmVarietie.GETPRODUCT");
    }

    /**
     * 查询产销产品规格
     * @return 平台统一返回对象
     */
    public CoreReturnObject getSpec() {
        return this.getDataBySqlID("FrmVarietie.GETSPEC");
    }

    /**
     * 查询产销钢级
     * @return 平台统一返回对象
     */
    public CoreReturnObject getSteel() {
        return this.getDataBySqlID("FrmVarietie.GETSTEEL");
    }

    /**
     * 查询产销扣型
     * @return 平台统一返回对象
     */
    public CoreReturnObject getModel() {
        return this.getDataBySqlID("FrmVarietie.GETMODEL");
    }

    /***
     * 查询产销产线
     * @return
     */
    public CoreReturnObject getFactory()
    {
    	return this.getDataBySqlID("FrmVarietie.getFactory");
    }
    
    /***
     * 查询产销钢种
     * @return
     */
    public CoreReturnObject getGrade()
    {
    	return this.getDataBySqlID("FrmVarietie.getGrade");
    }
    /**
     * 查询质保品名
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @param intt 参数
     * @return 平台统一返回对象
     */
    public CoreReturnObject getZBKind(String startTime, String intt) {
        intt = "('" + intt + "')";
        Object[] obj = new Object[] { startTime };
        String sql = CoreXmlSqlParsersFactory.getSql("FrmVarietie.ZB_KIND");
        sql = sql.replaceAll("#pram#", intt);
        return this.getData("MSSQL1Dao", sql, obj);
    }

    /**
     * 查询质保产品规格
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @param intt 参数
     * @return 平台统一返回对象
     */
    public CoreReturnObject getZBSpec(String startTime) {
       // intt = "('" + intt + "')";
        Object[] obj = new Object[] { startTime };
        String sql = CoreXmlSqlParsersFactory.getSql("FrmVarietie.ZB_SPEC");
        //sql = sql.replaceAll("#pram#", intt);
        return this.getData("MSSQL1Dao", sql, obj);
    }

    /**
     * 查询质保钢级
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @param intt 参数
     * @return 平台统一返回对象
     */
    public CoreReturnObject getZBSteel(String startTime, String intt) {
        intt = "('" + intt + "')";
        Object[] obj = new Object[] { startTime };
        String sql = CoreXmlSqlParsersFactory.getSql("FrmVarietie.ZB_STEEL");
        sql = sql.replaceAll("#pram#", intt);
        return this.getData("MSSQL1Dao", sql, obj);
    }

    /**
     * 查询质保扣型
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @param intt 参数
     * @return 平台统一返回对象
     */
    public CoreReturnObject getZBModel(String startTime, String intt) {
        intt = "('" + intt + "')";
        Object[] obj = new Object[] { startTime };
        String sql = CoreXmlSqlParsersFactory.getSql("FrmVarietie.ZB_MODEL");
        sql = sql.replaceAll("#pram#", intt);
        return this.getData("MSSQL1Dao", sql, obj);
    }

    /***
     * 查询质保产线
     * @param startTime
     * @param intt
     * @return
     */
    public CoreReturnObject getZBFactory(String startTime, String intt) {
        intt = "('" + intt + "')";
        Object[] obj = new Object[] { startTime };
        String sql = CoreXmlSqlParsersFactory.getSql("FrmVarietie.getZBFactory");
        sql = sql.replaceAll("#pram#", intt);
        return this.getData("MSSQL1Dao", sql, obj);
    }
    /***
     * 查询质保钢种
     * @param startTime
     * @param intt
     * @return
     */
    public CoreReturnObject getZBGrade(String startTime, String intt) {
        intt = "('" + intt + "')";
        Object[] obj = new Object[] { startTime };
        String sql = CoreXmlSqlParsersFactory.getSql("FrmVarietie.getZBGrade");
        sql = sql.replaceAll("#pram#", intt);
        return this.getData("MSSQL1Dao", sql, obj);
    }
    /**
     * 查询品名对应关系
     * @param product 品名编码
     * @return 平台统一返回对象
     */
    public CoreReturnObject queryProduct(String product) {
        return this.getDataBySqlID("FrmVarietie.QueryProduct",
                new Object[] { product });
    }

    /**
     * 查询产品规格对应关系
     * @param spec 规格编码
     * @return 平台统一返回对象
     */
    public CoreReturnObject querySpec(String spec) {
        return this.getDataBySqlID("FrmVarietie.QuerySpec",
                new Object[] { spec });
    }

    /**
     * 查询钢级对应关系
     * @param steel 钢级编码
     * @return 平台统一返回对象
     */
    public CoreReturnObject querySteel(String steel) {
        return this.getDataBySqlID("FrmVarietie.QuerySteel",
                new Object[] { steel });
    }

    /**
     * 查询扣型对应关系
     * @param model 扣型编码
     * @return 平台统一返回对象
     */
    public CoreReturnObject queryModel(String model) {
        return this.getDataBySqlID("FrmVarietie.QueryModel",
                new Object[] { model });
    }

    /**
     * 查询产线对应关系
     * @param model 扣型编码
     * @return 平台统一返回对象
     */
    public CoreReturnObject queryFactory(String factory) {
        return this.getDataBySqlID("FrmVarietie.queryFactory",
                new Object[] { factory });
    }
    /**
     * 查询钢种对应关系
     * @param model 扣型编码
     * @return 平台统一返回对象
     */
    public CoreReturnObject queryGrade(String grade) {
        return this.getDataBySqlID("FrmVarietie.queryGrade",
                new Object[] { grade });
    }

    /**
     * 新增品名对应关系
     * @param pram 参数
     * @return 平台统一返回对象
     */
    public CoreReturnObject addProduct(ArrayList<ArrayList<String>> pram) {
        ArrayList<String> sqllist = new ArrayList<String>();
        ArrayList<Object[]> parmlist = new ArrayList<Object[]>();
        for (int i = 0; i < pram.size(); i++) {
            sqllist.add(CoreXmlSqlParsersFactory
                    .getSql("FrmVarietie.addProduct"));
            parmlist.add(pram.get(i).toArray());
        }
        return this.getDao(CoreConstantData.sysbeanstr).ExcuteTransction(
                sqllist, parmlist);// 执行事务处理（多个非查询， 自动提交、回滚）
    }

    /**
     * 新增钢级对应关系
     * @param pram 参数
     * @return 平台统一返回对象
     */
    public CoreReturnObject addSteel(ArrayList<ArrayList<String>> pram) {
        ArrayList<String> sqllist = new ArrayList<String>();
        ArrayList<Object[]> parmlist = new ArrayList<Object[]>();
        for (int i = 0; i < pram.size(); i++) {
            sqllist
                    .add(CoreXmlSqlParsersFactory
                            .getSql("FrmVarietie.addSteel"));
            parmlist.add(pram.get(i).toArray());
        }
        return this.getDao(CoreConstantData.sysbeanstr).ExcuteTransction(
                sqllist, parmlist);// 执行事务处理（多个非查询， 自动提交、回滚）
    }

    /**
     * 新增规格对应关系
     * @param pram 参数
     * @return 平台统一返回对象
     */
    public CoreReturnObject addSpec(ArrayList<ArrayList<String>> pram) {
        ArrayList<String> sqllist = new ArrayList<String>();
        ArrayList<Object[]> parmlist = new ArrayList<Object[]>();
        for (int i = 0; i < pram.size(); i++) {
            sqllist.add(CoreXmlSqlParsersFactory.getSql("FrmVarietie.addSpec"));
            parmlist.add(pram.get(i).toArray());
        }
        return this.getDao(CoreConstantData.sysbeanstr).ExcuteTransction(
                sqllist, parmlist);// 执行事务处理（多个非查询， 自动提交、回滚）
    }

    /**
     * 新增扣型对应关系
     * @param pram 参数
     * @return 平台统一返回对象
     */
    public CoreReturnObject addModel(ArrayList<ArrayList<String>> pram) {
        ArrayList<String> sqllist = new ArrayList<String>();
        ArrayList<Object[]> parmlist = new ArrayList<Object[]>();
        for (int i = 0; i < pram.size(); i++) {
            sqllist
                    .add(CoreXmlSqlParsersFactory
                            .getSql("FrmVarietie.addModel"));
            parmlist.add(pram.get(i).toArray());
        }
        return this.getDao(CoreConstantData.sysbeanstr).ExcuteTransction(
                sqllist, parmlist);// 执行事务处理（多个非查询， 自动提交、回滚）
    }
    /**
     * 新增产线对应关系
     * @param pram 参数
     * @return 平台统一返回对象
     */
    public CoreReturnObject addFactory(ArrayList<ArrayList<String>> pram) {
        ArrayList<String> sqllist = new ArrayList<String>();
        ArrayList<Object[]> parmlist = new ArrayList<Object[]>();
        for (int i = 0; i < pram.size(); i++) {
            sqllist
                    .add(CoreXmlSqlParsersFactory
                            .getSql("FrmVarietie.addFactory"));
            parmlist.add(pram.get(i).toArray());
        }
        return this.getDao(CoreConstantData.sysbeanstr).ExcuteTransction(
                sqllist, parmlist);// 执行事务处理（多个非查询， 自动提交、回滚）
    }
    
    /**
     * 新增钢种对应关系
     * @param pram 参数
     * @return 平台统一返回对象
     */
    public CoreReturnObject addGrade(ArrayList<ArrayList<String>> pram) {
        ArrayList<String> sqllist = new ArrayList<String>();
        ArrayList<Object[]> parmlist = new ArrayList<Object[]>();
        for (int i = 0; i < pram.size(); i++) {
            sqllist
                    .add(CoreXmlSqlParsersFactory
                            .getSql("FrmVarietie.addGrade"));
            parmlist.add(pram.get(i).toArray());
        }
        return this.getDao(CoreConstantData.sysbeanstr).ExcuteTransction(
                sqllist, parmlist);// 执行事务处理（多个非查询， 自动提交、回滚）
    }
    /**
     * 删除品名对应关系
     * @param pram 参数
     * @return 平台统一返回对象
     */
    public CoreReturnObject deleteProduct(ArrayList<ArrayList<String>> pram) {
        ArrayList<String> sqllist = new ArrayList<String>();
        ArrayList<Object[]> parmlist = new ArrayList<Object[]>();
        for (int i = 0; i < pram.size(); i++) {
            sqllist.add(CoreXmlSqlParsersFactory
                    .getSql("FrmVarietie.deleteProduct"));
            parmlist.add(pram.get(i).toArray());
        }
        return this.getDao(CoreConstantData.sysbeanstr).ExcuteTransction(
                sqllist, parmlist);// 执行事务处理（多个非查询， 自动提交、回滚）
    }

    /**
     * 删除钢级对应关系
     * @param pram 参数
     * @return 平台统一返回对象
     */
    public CoreReturnObject deleteSteel(ArrayList<ArrayList<String>> pram) {
        ArrayList<String> sqllist = new ArrayList<String>();
        ArrayList<Object[]> parmlist = new ArrayList<Object[]>();
        for (int i = 0; i < pram.size(); i++) {
            sqllist.add(CoreXmlSqlParsersFactory
                    .getSql("FrmVarietie.deleteSteel"));
            parmlist.add(pram.get(i).toArray());
        }
        return this.getDao(CoreConstantData.sysbeanstr).ExcuteTransction(
                sqllist, parmlist);// 执行事务处理（多个非查询， 自动提交、回滚）
    }

    /**
     * 删除规格对应关系
     * @param pram 参数
     * @return 平台统一返回对象
     */
    public CoreReturnObject deleteSpec(ArrayList<ArrayList<String>> pram) {
        ArrayList<String> sqllist = new ArrayList<String>();
        ArrayList<Object[]> parmlist = new ArrayList<Object[]>();
        for (int i = 0; i < pram.size(); i++) {
            sqllist.add(CoreXmlSqlParsersFactory
                    .getSql("FrmVarietie.deleteSpec"));
            parmlist.add(pram.get(i).toArray());
        }
        return this.getDao(CoreConstantData.sysbeanstr).ExcuteTransction(
                sqllist, parmlist);// 执行事务处理（多个非查询， 自动提交、回滚）
    }

    /**
     * 删除扣型对应关系
     * @param pram 参数
     * @return 平台统一返回对象
     */
    public CoreReturnObject deleteModel(ArrayList<ArrayList<String>> pram) {
        ArrayList<String> sqllist = new ArrayList<String>();
        ArrayList<Object[]> parmlist = new ArrayList<Object[]>();
        for (int i = 0; i < pram.size(); i++) {
            sqllist.add(CoreXmlSqlParsersFactory
                    .getSql("FrmVarietie.deleteModel"));
            parmlist.add(pram.get(i).toArray());
        }
        return this.getDao(CoreConstantData.sysbeanstr).ExcuteTransction(
                sqllist, parmlist);// 执行事务处理（多个非查询， 自动提交、回滚）
    }
    
    /**
     * 删除产线对应关系
     * @param pram 参数
     * @return 平台统一返回对象
     */
    public CoreReturnObject deleteFactory(ArrayList<ArrayList<String>> pram) {
        ArrayList<String> sqllist = new ArrayList<String>();
        ArrayList<Object[]> parmlist = new ArrayList<Object[]>();
        for (int i = 0; i < pram.size(); i++) {
            sqllist.add(CoreXmlSqlParsersFactory
                    .getSql("FrmVarietie.deleteFactory"));
            parmlist.add(pram.get(i).toArray());
        }
        return this.getDao(CoreConstantData.sysbeanstr).ExcuteTransction(
                sqllist, parmlist);// 执行事务处理（多个非查询， 自动提交、回滚）
    }
    
    /**
     * 删除钢种对应关系
     * @param pram 参数
     * @return 平台统一返回对象
     */
    public CoreReturnObject deleteGrade(ArrayList<ArrayList<String>> pram) {
        ArrayList<String> sqllist = new ArrayList<String>();
        ArrayList<Object[]> parmlist = new ArrayList<Object[]>();
        for (int i = 0; i < pram.size(); i++) {
            sqllist.add(CoreXmlSqlParsersFactory
                    .getSql("FrmVarietie.deleteGrade"));
            parmlist.add(pram.get(i).toArray());
        }
        return this.getDao(CoreConstantData.sysbeanstr).ExcuteTransction(
                sqllist, parmlist);// 执行事务处理（多个非查询， 自动提交、回滚）
    }
}
